// Package dao ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 1:14 下午 2021/8/7
package dao

import (
	"git.zhangdeman.cn/zhangdeman/gopkg/middleware/mysql"
	"gorm.io/gorm"
)

var (
	// DBInstance 收敛数据库操作
	DBInstance *gorm.DB
	// Namespace 命名空间的操作
	Namespace *namespace
	// Log 日志操作实例
	Log *log
	// Config 配置操作实例
	Config *config
)

// InitDatabase 初始化数据库链接
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 1:15 下午 2021/8/7
func InitDatabase(conf *mysql.DBConfig, logConf *mysql.LogConfig) error {
	var err error
	if DBInstance, err = mysql.GetDatabaseClient(conf, logConf); nil != err {
		return err
	}
	Namespace = &namespace{}
	Log = &log{}
	Config = &config{}
	return nil
}
