// Package model ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:21 下午 2021/8/8
package model

// Config 配置的数据结构
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:22 下午 2021/8/8
type Config struct {
	ID           int64  `gorm:"column:id;primary_key;AUTO_INCREMENT" json:"id"`                           // 命名空间ID
	NamespaceID  int64  `gorm:"column:namespace_id;default:0;NOT NULL" json:"namespace_id"`               // 命名空间ID
	Field        string `gorm:"column:field;NOT NULL" json:"field"`                                       // 配置字段
	Value        string `gorm:"column:value;NOT NULL" json:"value"`                                       // 配置值
	Description  string `gorm:"column:description;NOT NULL" json:"description"`                           // 配置描述
	CreateUserID string `gorm:"column:create_user_id;default:0;NOT NULL" json:"create_user_id"`           // 创建人ID
	ModifyUserID string `gorm:"column:modify_user_id;default:0;NOT NULL" json:"modify_user_id"`           // 修改人ID
	CreateTime   string `gorm:"column:create_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"create_time"` // 创建时间
	ModifyTime   string `gorm:"column:modify_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"modify_time"` // 更新时间
}

// TableName ...
func (c Config) TableName() string {
	return "config"
}
