// Package model ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:21 下午 2021/8/8
package model

// Log 操作日志
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:21 下午 2021/8/8
type Log struct {
	ID           int64  `gorm:"column:id;primary_key;AUTO_INCREMENT" json:"id"`                           // 命名空间ID
	NamespaceID  int64  `gorm:"column:namespace_id;default:0;NOT NULL" json:"namespace_id"`               // 命名空间ID
	ConfigID     int64  `gorm:"column:config_id;default:0;NOT NULL" json:"config_id"`                     // 配置ID
	BeforeValue  string `gorm:"column:before_value;NOT NULL" json:"before_value"`                         // 变更前的值
	AfterValue   string `gorm:"column:after_value;NOT NULL" json:"after_value"`                           // 变更后的值
	Description  string `gorm:"column:description;NOT NULL" json:"description"`                           // 变更描述
	LogType      string `gorm:"column:log_type;default:0;NOT NULL" json:"log_type"`                       // 日志类型
	CreateUserID string `gorm:"column:create_user_id;default:0;NOT NULL" json:"create_user_id"`           // 创建人ID
	CreateTime   string `gorm:"column:create_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"create_time"` // 创建时间
	ModifyTime   string `gorm:"column:modify_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"modify_time"` // 更新时间
}

// TableName ...
func (l Log) TableName() string {
	return "log"
}

const (
	// LogTypeCreateNamespace 新建命名空间
	LogTypeCreateNamespace = "CREATE_NAMESPACE"
	// LogTypeActiveNamespace 激活命名空间
	LogTypeActiveNamespace = "ACTIVE_NAMESPACE"
	// LogTypeForbiddenNamespace 禁用命名空间
	LogTypeForbiddenNamespace = "FORBIDDEN_NAMESPACE"
	// LogTypeCreateConfig 创建配置
	LogTypeCreateConfig = "CREATE_CONFIG"
	// LogTypeUpdateConfig 更新配置
	LogTypeUpdateConfig = "UPDATE_CONFIG"
	// LogTypeDeleteConfig 删除配置
	LogTypeDeleteConfig = "DELETE_CONFIG"
	// LogTypeRollbackUpdateConfig 回滚，并更新配置
	LogTypeRollbackUpdateConfig = "ROLLBACK_CONFIG_FOR_UPDATE"
	// LogTypeRollbackCreateConfig 回滚,并恢复一个已被删除的配置
	LogTypeRollbackCreateConfig = "ROLLBACK_CONFIG_FOR_DELETE"
)
