package model

// Namespace 命名空间
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 1:11 下午 2021/8/7
type Namespace struct {
	ID           int64  `gorm:"column:id;primary_key;AUTO_INCREMENT" json:"id"`                           // 命名空间ID
	Namespace    string `gorm:"column:namespace;NOT NULL" json:"namespace"`                               // 命名空间
	Name         string `gorm:"column:name;NOT NULL" json:"name"`                                         // 命名空间名称
	Description  string `gorm:"column:description;NOT NULL" json:"description"`                           // 命名空间详细描述
	Status       int    `gorm:"column:status;default:0;NOT NULL" json:"status"`                           // 空间状态: 0 - 待激活 1 - 正常 2 - 停用
	CreateUserID string `gorm:"column:create_user_id;default:0;NOT NULL" json:"create_user_id"`           // 创建人ID
	ModifyUserID string `gorm:"column:modify_user_id;default:0;NOT NULL" json:"modify_user_id"`           // 修改人ID
	CreateTime   string `gorm:"column:create_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"create_time"` // 创建时间
	ModifyTime   string `gorm:"column:modify_time;default:CURRENT_TIMESTAMP;NOT NULL" json:"modify_time"` // 更新时间
}

// TableName ...
func (n Namespace) TableName() string {
	return "namespace"
}

const (
	// NamespaceStatusWaitActive 待激活
	NamespaceStatusWaitActive = 0
	// NamespaceStatusNormal 正常
	NamespaceStatusNormal = 1
	// NamespaceStatusForbidden 禁用
	NamespaceStatusForbidden = 1
)
