CREATE TABLE `config`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '命名空间ID',
    `namespace_id`   bigint(20)          NOT NULL DEFAULT 0 COMMENT '命名空间ID',
    `field`          varchar(512)        NOT NULL DEFAULT '' COMMENT '配置字段',
    `value`          text                NOT NULL COMMENT '配置值',
    `description`    varchar(512)        NOT NULL DEFAULT '' COMMENT '配置描述',
    `create_user_id` varchar(128)        NOT NULL DEFAULT '' COMMENT '创建人ID',
    `modify_user_id` varchar(128)        NOT NULL DEFAULT '' COMMENT '修改人ID',
    `create_time`    timestamp           NOT NULL DEFAULT current_timestamp() COMMENT '创建时间',
    `modify_time`    timestamp           NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp() COMMENT '更新时间',
    PRIMARY KEY (`id`),
    UNIQUE KEY `unqi_namespace_field` (`namespace_id`, `field`),
    KEY `idx_create_id` (`create_user_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='配置信息表';