CREATE TABLE `namespace`
(
    `id`             bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '命名空间ID',
    `namespace`      varchar(256)        NOT NULL DEFAULT '' COMMENT '命名空间',
    `name`           varchar(128)        NOT NULL DEFAULT '' COMMENT '命名空间名称',
    `description`    varchar(4096)       NOT NULL DEFAULT '' COMMENT '命名空间详细描述',
    `status`         int(10) unsigned    NOT NULL DEFAULT 0 COMMENT '空间状态: 0 - 待激活 1 - 正常 2 - 停用',
    `create_user_id` varchar(128)        NOT NULL DEFAULT '' COMMENT '创建人ID',
    `modify_user_id` varchar(128)        NOT NULL DEFAULT '' COMMENT '修改人ID',
    `create_time`    timestamp           NOT NULL DEFAULT current_timestamp() COMMENT '创建时间',
    `modify_time`    timestamp           NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp() COMMENT '更新时间',
    PRIMARY KEY (`id`),
    UNIQUE KEY `unqi_namespace` (`namespace`),
    KEY `idx_create_id` (`create_user_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='命名空间信息表'