// Package transform ...
//
// Description : transform ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-11-30 3:52 下午
package transform

// ITransform 转换程序数据源处理的约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 3:56 下午 2021/11/30
type ITransform interface {
	// GetNamespace 获取命名空间
	GetNamespace() string
	// GetSourceData 获取元数据
	GetSourceData() (map[string]string, error)
	// MigrateKeyFailCallback key 迁移失败之后的回调
	MigrateKeyFailCallback(namespace string, key string, val string, err error)
}
